function [sol] = mejoramiento_iterativo(A,b,x,it)
% mejoramiento iterativo a solucion aproximada de Ax = b
% A es la matriz del sistema de ecuaciones
% b es la parte derecha del sistema de ecuaciones
% x es una solucion aproximada a sol. exacta de Ax = b

% residuo
r = b-A*x;
for i = 1:it
    e = A\r;
    x = e + x;
    r = b - A*x;
end
sol = x;
